SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
DataStructures::MLKeyRef< templateType > Class Template Reference

`#include <slikenet/DS_Multilist.h>`

## Public Member Functions

| MLKeyRef (const templateType &input)
const templateType & | Get (void) const
bool | operator< (const templateType &right)
bool | operator> (const templateType &right)
bool | operator== (const templateType &right)

## Protected Attributes

const templateType & | val

## Detailed Description

### template<class templateType>
class DataStructures::MLKeyRef< templateType >

The following is invalid. bool operator<( const MyClass *myClass, const int &inputKey ) {return myClass->value < inputKey;} At least one type has to be a reference to a class MLKeyRef is a helper class to turn a native type into a class, so you can compare that native type against a pointer to a different class Used for he Multilist, when _DataType != _KeyType

Definition at line 66 of file DS_Multilist.h.

## Constructor & Destructor Documentation

template<class templateType>

DataStructures::MLKeyRef< templateType >::MLKeyRef | ( | const templateType & | input | ) |

inline

Definition at line 69 of file DS_Multilist.h.

## Member Function Documentation

template<class templateType>

const templateType& DataStructures::MLKeyRef< templateType >::Get | ( | void |  | ) | const

inline

Definition at line 70 of file DS_Multilist.h.

References DataStructures::MLKeyRef< templateType >::val.

template<class templateType>

bool DataStructures::MLKeyRef< templateType >::operator< | ( | const templateType & | right | ) |

inline

Definition at line 71 of file DS_Multilist.h.

References DataStructures::MLKeyRef< templateType >::val.

template<class templateType>

bool DataStructures::MLKeyRef< templateType >::operator== | ( | const templateType & | right | ) |

inline

Definition at line 73 of file DS_Multilist.h.

References DataStructures::MLKeyRef< templateType >::val.

template<class templateType>

bool DataStructures::MLKeyRef< templateType >::operator> | ( | const templateType & | right | ) |

inline

Definition at line 72 of file DS_Multilist.h.

References DataStructures::MLKeyRef< templateType >::val.

## Member Data Documentation

template<class templateType>

const templateType& DataStructures::MLKeyRef< templateType >::val

protected

Definition at line 75 of file DS_Multilist.h.

Referenced by DataStructures::MLKeyRef< templateType >::Get(), DataStructures::MLKeyRef< templateType >::operator<(), DataStructures::MLKeyRef< templateType >::operator==(), and DataStructures::MLKeyRef< templateType >::operator>().

The documentation for this class was generated from the following file:

- Source/include/slikenet/DS_Multilist.h